com.google.gwt.i18n.client

## Interface AutoDirectionHandler.Target

All Superinterfaces:
  HasDirection, HasHandlers, HasKeyUpHandlers

All Known Implementing Classes:
  DoubleBox, IntegerBox, LongBox, PasswordTextBox, TextArea, TextBox, TextBoxBase, ValueBox, ValueBoxBase

Enclosing class:
  AutoDirectionHandler

    public static interface AutoDirectionHandler.Target
    extends HasDirection, HasKeyUpHandlers

The interface an object must implement in order to add an AutoDirectionHandler to it. TODO(tomerigo): add Paste and Input events once they're available in GWT.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.HasDirection

`HasDirection.Direction`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getText()` Gets this object's text.
`void` `setText(java.lang.String text)` Sets this object's text.

### Methods inherited from interface com.google.gwt.i18n.client.HasDirection

`getDirection, setDirection`

### Methods inherited from interface com.google.gwt.event.dom.client.HasKeyUpHandlers

`addKeyUpHandler`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### getText

    java.lang.String getText()

Gets this object's text.

#### setText

    void setText(java.lang.String text)

Sets this object's text.

Parameters:
  `text` - the object's new text